Subject: bug#73071: closed (Re: [bug#73071] [PATCH mesa-updates 0/8] Various updates for mesa to 24.2.2)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Nov 2024 18:52:02 +0000

Your bug report

#73071: [PATCH mesa-updates 0/8] Various updates for mesa to 24.2.2

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73071: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73071
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73071] [PATCH mesa-updates 0/8] Various updates for mesa to 24.2.2
From: John Kehayias <[email-masked]>
To: aurtzy <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Nov 2024 18:51:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Sep 20, 2024 at 01:46 AM, John Kehayias wrote:

> Hello!
>
> On Mon, Sep 16, 2024 at 09:50 PM, aurtzy wrote:
>
>> I didn't consider this when writing the patch, but would it be a
>> good idea to only use meson-1.5 for x86_64? We could
>> avoid rebuilds that way.
>>
>> Looks like a new mesa release is planned for the 18th [1].
>>
>
> Ah, thanks, never saw the calendar before. I'm going to build the newest
> release locally, rebase, and push with your patch and this update. From
> what I can tell, non x86 archs have stalled for over a week; not sure if
> a new update really sets them behind or what is happening.
>
>>  Other than that, I made a minor tweak to the changelog (remove first
>> line, name the phase) locally, but have not done a rebase/push on
>> mesa-updates. Let me give it a few days for other comments and if
>> there are any other rebuilds to go with it.
>>
>> Regarding my concern (unrelated to NVK): I've had issues with a
>> nonfree application segfaulting which I narrowed down
>> to a mesa commit from a few months ago [2] [3] and hit a dead end
>> with (until today). It's only this single program which
>> I had ever noticed the issue with so I pushed it aside, but it just
>> occurred to me that this seems like a change that could
>> affect other cases my daily driving has not covered.
>>
>> Further investigation today has revealed that adding libglvnd as an
>> input to mesa fixes this, although from what I can
>> tell reading past discussions on adding it, it seems like a
>> complicated issue [4]. Thoughts about this situation?
>>
>
> Yeah, we should tackle libglvnd in a separate issue. I'm guessing the
> main benefit is for Guix on foreign distros? It is easy enough to add
> the input and mesa build with libglvnd support, but as you see in the
> thread, there are some other changes needed. Nothing too bad it seems,
> just hasn't been tackled. Patches/testing welcome :)
>
>> [1] <https://docs.mesa3d.org/release-calendar.html#calendar>
>>
>> [2] <https://gitlab.freedesktop.org/mesa/mesa/-/issues/11666>
>>
>> [3]
>> <https://gitlab.freedesktop.org/mesa/mesa/-/commit/50fc7cc290db49288b318c116c6fdc3daaf801e9>
>>
>> [4] <https://issues.guix.gnu.org/49339#3>
>>
>> Cheers,
>>
>> aurtzy
>
> Thanks again!
> John

Merged the mesa-updates branch with latest mesa commit 40b6729fd78ea53ac339257aea798d625e16894d. Closing.

Thanks aurtzy!

Subject: [PATCH mesa-updates 0/8] Various updates for mesa to 24.2.2
From: John Kehayias <[email-masked]>
To: [email-masked]
Cc: John Kehayias <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 06 Sep 2024 15:00:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This is a series of patches to update mesa to the latest, 24.2.2, some
dependencies, and fix a vulkan issue <https://issues.guix.gnu.org/71109>.
Along the way I updated llvm-for-mesa and mesa inputs, which unifies the
changes made to build on aarch64-linux, for instance.  Hopefully this doesn't
introduce regressions.  To that end, I've pushed this series now to the
mesa-updates branch to see how building on Cuirass goes.  (A previous version
was there already, but I have updated/rebased and now finally sending this.)

Some notes:

1. The closure size of mesa has increased, something like from 374 MiB to 542
MiB, mostly due to itself (not sure why) and then also from llvm.  This is
from going from v15 to v18 and as you'll see in a patch I had to enable
building all targets.  Possibly this can be alleviated by building a smaller
clang for mesa?

2. Previous discussion was about getting NVK (which requires rust) built in
the last mesa update.  I'm not sure the current status but will check with
those that were working on it before <https://issues.guix.gnu.org/69637>.  I
believe it is no longer experimental, so we should try to include it.

Hopefully the patch changes and brief comments explain all, but please do
provide any feedback, changes, fixes, etc.  The branch has just been rebased
on master but we can rebase as needed or if there are some critical errors on
these patches I missed.

Thanks!
John

PS: I guess python-team will get this series as I added two comments (no code
changes) to python packages now needed for mesa.  One already has a huge
number of dependents anyway, but good to note I suppose.

John Kehayias (6):
  gnu: libdrm: Update to 2.4.123.
  gnu: wayland-protocols: Update to 1.37.
  gnu: Remove wayland-protocols-next.
  gnu: llvm-for-mesa: Update to llvm-18.
  gnu: llvm-for-mesa: Build all targets.
  gnu: mesa: Update to 24.2.2.

nathan (2):
  gnu: vulkan-headers: Hard-code libvulkan.so file name.
  gnu: volk: Hard-code path of vulkan-loader for dynamic loading

 gnu/packages/freedesktop.scm | 17 ++-----------
 gnu/packages/gl.scm          | 49 ++++++++++++++----------------------
 gnu/packages/kde-plasma.scm  |  2 +-
 gnu/packages/llvm.scm        | 29 ++++++++++-----------
 gnu/packages/python-xyz.scm  |  2 ++
 gnu/packages/vulkan.scm      | 41 ++++++++++++++++++++++++++----
 gnu/packages/xdisorg.scm     |  4 +--
 7 files changed, 75 insertions(+), 69 deletions(-)

base-commit: d4fbd1ab341de85c1e5c77e0f7adc5aae056be15
--
2.45.2